export enum EditStepEnum {
    EDITED = 'EDITED',
    UN_EDIT = 'UN_EDIT'
}

export interface IProjEdit {
    title: string;
    desc?: string;
    step?: number;
    status: EditStepEnum;
    btnName?: string;
    canBtnClick?: boolean;

    handleEdit(): void;
}

export interface IProjLoading {
    title: string;
    desc?: string;
    duration: number;

    handleCountDownOver(): void;
}

export interface IProjResult {
    title: string;
    isSuccess: boolean;

    handleFeedback?(): void;
}

export interface IProjDownload {
    title: string;
    desc: string;
    canBtnClick?: boolean;

    handleDownload(): void;
}

export interface IProjJump {
    title: string;
    desc: string;

    handleJump(): void;
}

export enum AgentMedalEnum {
    GOLD,
    SILVER,
    BRONZE,
    NORMAL
}

export interface IAgent {
    logo?: string;
    name: string;
    medal?: AgentMedalEnum;
    desc: string;
    certificateImg: string;
    selected?: boolean;

    handleSelect(): void;
}